package com.wayne.www.waynelib.entity

data class LinearLayout (val Id: String = "",
                         val AllowActions: AllowActions? = null,
                         val LinearLayoutList: List<LinearLayout>? = null,
                         val TextViewList: List<TextView>? = null,
                         val NozzleView: NozzleView? = null,
                         val Height: String = "",
                         val Width: String = "",
                         val WeightSum: String = "",
                         val Weight: String = "",
                         val VideoView: VideoView? = null,
                         val Orientation: String = ""
                         ) {
    fun hasChildLayout(): Boolean {
        return this.LinearLayoutList != null && this.LinearLayoutList?.size!! > 0
    }

    fun getChildLayout(): List<LinearLayout>? {
        return this.LinearLayoutList
    }

    fun hasTextView(): Boolean {
        return this.TextViewList != null && this.TextViewList?.size!! > 0
    }
}